package com.pcloud.book.advertising.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.pcloud.common.entity.BaseEntity;

public class AdvertisingSettlementMethod extends BaseEntity {

    private static final long serialVersionUID = 2834986141520977079L;

    /**
     * advertising_settlement_method.id (唯一标识)
     */
    private Long id;

    /**
     * advertising_settlement_method.master_id (广告主ID)
     */
    private Long masterId;

    /**
     * advertising_settlement_method.ad_id (广告位ID)
     */
    private Long adId;

    /**
     * advertising_settlement_method.settlement_method (结算方式)
     */
    private String settlementMethod;

    /**
     * advertising_settlement_method.price_each_time (每次价格)
     */
    private BigDecimal priceEachTime;

    /**
     * advertising_settlement_method.create_time (创建时间)
     */
    private Date createTime;

    /**
     * advertising_settlement_method.update_time (修改时间)
     */
    private Date updateTime;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getMasterId() {
        return masterId;
    }

    public void setMasterId(Long masterId) {
        this.masterId = masterId;
    }

    public Long getAdId() {
        return adId;
    }

    public void setAdId(Long adId) {
        this.adId = adId;
    }

    public String getSettlementMethod() {
        return settlementMethod;
    }

    public void setSettlementMethod(String settlementMethod) {
        this.settlementMethod = settlementMethod;
    }

    public BigDecimal getPriceEachTime() {
        return priceEachTime;
    }

    public void setPriceEachTime(BigDecimal priceEachTime) {
        this.priceEachTime = priceEachTime;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "AdvertisingSettlementMethod{" +
                "id=" + id +
                ", masterId=" + masterId +
                ", adId=" + adId +
                ", settlementMethod='" + settlementMethod + '\'' +
                ", priceEachTime=" + priceEachTime +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                "} " + super.toString();
    }
}